GMERLIN_REMOTE(1)

NAME
gmerlin_remote - Remote control for the Gmerlin GUI Player

SYNOPSIS
gmerlin_remote [options] command

DESCRIPTION
Remote control command for the Gmerlin GUI Player

GLOBAL OPTIONS

-host <hostname>

    Host to connect to, default is localhost

-port <port>

    Port to connect to

-launch

    Launch new player if necessary

COMMANDS

-play

    Play current track

-next

    Switch to next track

-prev

    Switch to previous track

-stop

    Stop playback

-pause

    Pause playback

-mute

    Toggle mute

-add <gml>

    Add <gml> to the incoming album

-addplay <gml>

    Add <gml> to the incoming album and play it

-open <device>

    Open album for <device>. Device must be a GML (e.g. dvd:///dev/hdd).

-openplay <device>

    Open album for <device> and play first track. Device must be a GML (e.g. dvd:///dev/hdd).

-volume <volume>

    Set player volume. <volume> is in dB, 0.0 is max

-volume-rel <diff>

    In- or decrease player volume. <diff> is in dB

-seek-rel <diff>

    Seek relative. <diff> is in seconds.

-chapter [num|+|-]

    Go to the specified chapter. Use '+' and '-' to go to the next or previous chapter respectively

-get-name

    Print name of the current track

-get-metadata

    Print metadata of the current track

-get-time

    Print time of the current track

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

ENVIRONMENT VARIABLES
GMERLIN_PLAYER_REMOTE_PORT

    Default port for the remote control